Name:       ocaml-gg
Version:    0.8.0
Release:    %mkrel 14
Summary:    Basic types for computer graphics in OCaml
Group:      Development/OCaml
License:    BSD3
URL:        http://erratique.ch/software/gg
Source0:    http://erratique.ch/software/gg/releases/gg-%{version}.tbz
Patch0:     gg-0.8.0-enable-debugging-information.patch

BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-ocamlbuild

%description
Gg is an OCaml module providing basic types for computer graphics.
It defines types and functions for floats, vectors, points, sizes,
matrices, quaternions, axis aligned boxes, colors, color spaces,
and raster data.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n gg-%{version}
%autopatch -p1

%build
./pkg/build true

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/gg
pushd _build/src/
  rm -f *.depends
  ocamlfind install gg \
    ../../pkg/META \
    *.a *.cm* *.annot *.ml*
popd

%files
%doc README.md AUTHORS.md
%doc CHANGES.md TODO.md
%dir %{_libdir}/ocaml/gg
%{_libdir}/ocaml/gg/META
%{_libdir}/ocaml/gg/*.cmi
%{_libdir}/ocaml/gg/*.cma
%{_libdir}/ocaml/gg/*.cmo
%{_libdir}/ocaml/gg/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/gg/*.a
%{_libdir}/ocaml/gg/*.cmxa
%{_libdir}/ocaml/gg/*.cmx
%{_libdir}/ocaml/gg/*.annot
%{_libdir}/ocaml/gg/*.cmt
%{_libdir}/ocaml/gg/*.cmti
%{_libdir}/ocaml/gg/*.mli
%{_libdir}/ocaml/gg/*.ml


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.8.0-14.mga8
+ Revision: 1670453
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.8.0-13.mga8
+ Revision: 1551357
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.8.0-12.mga8
+ Revision: 1545212
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 0.8.0-11.mga8
+ Revision: 1484314
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.8.0-10.mga7
+ Revision: 1324218
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.8.0-9.mga7
+ Revision: 1299877
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.8.0-8.mga7
+ Revision: 1179675
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 0.8.0-7.mga7
+ Revision: 1169434
- patch0: enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 0.8.0-6.mga6
+ Revision: 1056368
- Rebuild for fix in ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.8.0-5.mga6
+ Revision: 964460
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 748100
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 683040
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 537830
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 blue_prawn <blue_prawn> 0.8.0-1.mga4
+ Revision: 487864
- build requires ocaml-compiler-libs
- imported package ocaml-gg

